perl-DBD-mysql-4.43.0-1.mga5.x86_64.rpm


Advertisement

Description

perl-DBD-mysql - MySQL-Perl bindings

Property Value
Distribution Mageia 5.1
Repository Mageia Core Updates x86_64
Package name perl-DBD-mysql
Package version 4.43.0
Package release 1.mga5
Package architecture x86_64
Package type rpm
Installed size 599.22 KB
Download size 135.10 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
DBD::mysql is an interface driver for connecting the DBMS independent Perl API
DBI to the MySQL DBMS. When you want to use MySQL from within perl, DBI and
DBD::mysql are your best choice: Unlike "mysqlperl", another option, this is
based on a common standard, so your sources will easily be portable to other
DBMS's.

Alternatives

Package Version Architecture Repository
perl-DBD-mysql-4.46.0-1.mga5.i586.rpm 4.46.0 i586 Mageia Core Updates
perl-DBD-mysql-4.46.0-1.mga5.x86_64.rpm 4.46.0 x86_64 Mageia Core Updates
perl-DBD-mysql-4.43.0-1.mga5.i586.rpm 4.43.0 i586 Mageia Core Updates
perl-DBD-mysql-4.28.0-3.1.mga5.i586.rpm 4.28.0 i586 Mageia Core Updates
perl-DBD-mysql-4.28.0-3.1.mga5.x86_64.rpm 4.28.0 x86_64 Mageia Core Updates
perl-DBD-mysql-4.28.0-3.mga5.i586.rpm 4.28.0 i586 Mageia Core
perl-DBD-mysql-4.28.0-3.mga5.x86_64.rpm 4.28.0 x86_64 Mageia Core
perl-DBD-mysql - - -

Requires

Name Value
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libmysqlclient.so.18()(64bit) -
libmysqlclient.so.18(libmysqlclient_18)(64bit) -
libperl.so()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
perl >= 0:5.008_001
perl(Carp) -
perl(DBD::mysql) -
perl(DBI) -
perl(DBI::Const::GetInfoType) -
perl(DynaLoader) -
perl(strict) -
perl(warnings) -
perl-base >= 2:5.20.1
perlapi-5.20.1 -

Provides

Name Value
perl(Bundle::DBD::mysql) == 4.43.0
perl(DBD::mysql) == 4.43.0
perl(DBD::mysql::GetInfo) -
perl(DBD::mysql::db) -
perl(DBD::mysql::dr) -
perl(DBD::mysql::st) -
perl-DBD-mysql == 4.43.0-1.mga5
perl-DBD-mysql(x86-64) == 4.43.0-1.mga5
perl-Mysql -

Obsoletes

Name Value
perl-Mysql -

Download

Type URL
Binary Package perl-DBD-mysql-4.43.0-1.mga5.x86_64.rpm
Source Package perl-DBD-mysql-4.43.0-1.mga5.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-DBD-mysql rpm package:
    # urpmi perl-DBD-mysql

Files

Path
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/Bundle/
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/Bundle/DBD/mysql.pm
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/DBD/mysql.pm
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/DBD/mysql.pm.0002
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/DBD/mysql.pm.0003
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/DBD/mysql.pm.0004
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/DBD/mysql.pm.0005
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/DBD/mysql/GetInfo.pm
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/DBD/mysql/INSTALL.pod
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/auto/
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/auto/DBD/
/usr/lib/perl5/vendor_perl/5.20.1/x86_64-linux-thread-multi/auto/DBD/mysql/mysql.so
/usr/share/doc/perl-DBD-mysql/Changes
/usr/share/doc/perl-DBD-mysql/LICENSE
/usr/share/doc/perl-DBD-mysql/README.md
/usr/share/man/man3/Bundle::DBD::mysql.3pm.xz
/usr/share/man/man3/DBD::mysql.3pm.xz
/usr/share/man/man3/DBD::mysql::INSTALL.3pm.xz

Changelog

2017-12-29 - luigiwalser <luigiwalser> 4.43.0-1.mga5
+ Revision: 1186917
- sync patches with fedora to fix CVE-2017-1078[89]
- add patches from debian to fix CVE-2014-9906 and CVE-2015-8949

See Also

Package Description
perl-Dpkg-1.17.26-1.mga5.x86_64.rpm Package maintenance system for Debian Linux
perl-Email-Address-1.908.0-1.mga5.noarch.rpm RFC 2822 Address Parsing and Creation
perl-Encode-2.640.0-1.mga5.x86_64.rpm Character Encodings Handler
perl-FCGI-0.770.0-4.1.mga5.x86_64.rpm A Fast CGI module for Perl
perl-File-Path-2.90.0-4.1.mga5.noarch.rpm File path and name utilities
perl-Git-2.3.10-1.mga5.x86_64.rpm Perl interface to Git
perl-Git-2.3.8-1.mga5.x86_64.rpm Perl interface to Git
perl-Git-2.7.4-1.1.mga5.x86_64.rpm Perl interface to Git
perl-Git-2.7.4-1.mga5.x86_64.rpm Perl interface to Git
perl-Git-2.7.6-1.1.mga5.x86_64.rpm Perl interface to Git
perl-Git-2.7.6-1.mga5.x86_64.rpm Perl interface to Git
perl-Graphics-Magick-1.3.24-1.2.mga5.x86_64.rpm Libraries and modules for access to GraphicsMagick from perl
perl-Graphics-Magick-1.3.25-1.2.mga5.x86_64.rpm Libraries and modules for access to GraphicsMagick from perl
perl-Graphics-Magick-1.3.25-1.3.mga5.x86_64.rpm Libraries and modules for access to GraphicsMagick from perl
perl-Graphics-Magick-1.3.25-1.mga5.x86_64.rpm Libraries and modules for access to GraphicsMagick from perl
Advertisement
Advertisement